cascading.flow

## Class Flows

- java.lang.Object
- - cascading.flow.Flows

-     public final class Flows
      extends java.lang.Object

  Flows is a utility helper class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowDef` | `copy(FlowDef flowDef, java.util.Map<java.lang.String,Tap> sources, java.util.Map<java.lang.String,Tap> sinks, java.util.Map<java.lang.String,Tap> traps, java.util.Map<java.lang.String,Tap> checkpoints)`
    `static void` | `fireOnCompleted(Flow flow)`
    `static FlowElement` | `getFlowElementForID(java.util.Set<FlowElement> flowElements, java.lang.String id)`
    `static FlowElementGraph` | `getFlowElementGraphFrom(Flow flow)`
    `static java.util.Map<java.lang.String,FlowStepJob>` | `getJobsMap(Flow flow)`
    `static java.lang.String` | `getNameOrID(Flow flow)`
    `static FlowStepGraph` | `getStepGraphFrom(Flow flow)`
    `static Tap` | `getTapForID(java.util.Set<Tap> taps, java.lang.String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJobsMap

          public static java.util.Map<java.lang.String,FlowStepJob> getJobsMap(Flow flow)

    - #### getFlowElementGraphFrom

          public static FlowElementGraph getFlowElementGraphFrom(Flow flow)

    - #### getStepGraphFrom

          public static FlowStepGraph getStepGraphFrom(Flow flow)

    - #### getNameOrID

          public static java.lang.String getNameOrID(Flow flow)

    - #### getTapForID

          public static Tap getTapForID(java.util.Set<Tap> taps,
                        java.lang.String id)

    - #### getFlowElementForID

          public static FlowElement getFlowElementForID(java.util.Set<FlowElement> flowElements,
                                        java.lang.String id)

    - #### copy

          public static FlowDef copy(FlowDef flowDef,
                     java.util.Map<java.lang.String,Tap> sources,
                     java.util.Map<java.lang.String,Tap> sinks,
                     java.util.Map<java.lang.String,Tap> traps,
                     java.util.Map<java.lang.String,Tap> checkpoints)

    - #### fireOnCompleted

          public static void fireOnCompleted(Flow flow)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.